Amazon Linux 2022 : (ALAS2022-2022-118)

high Nessus プラグイン ID 164787

概要

リモートの Amazon Linux 2022 ホストに、セキュリティ更新プログラムがありません。

説明

したがって、ALAS2022-2022-118 のアドバイザリに記載されている脆弱性の影響を受けます。

- Git は分散リビジョンコントロールシステムです。バージョン 2.37.1、2.36.2、2.35.4、2.34.4、2.33.4、2.32.3、2.31.4、2.30.5 より前の Git は、すべてのプラットフォームで権限昇格に対して脆弱です。疑いを持たないユーザーは、CVE-2022-24765で報告されている問題の影響を引き続き受ける可能性があります。たとえば、root として、所有されている共有 tmp ディレクトリに移動する際に、攻撃者が git リポジトリを作成する可能性があります。バージョン 2.37.1、2.36.2、2.35.4、2.34.4、2.33.4、2.32.3、2.31.4、2.30.5 には、この問題に対するパッチが含まれています。例で説明されている悪用による影響を回避する最も簡単な方法は、root (または Windows の管理者) としての git の実行を回避し、必要に応じてその使用を最小限に抑えることです。一般的な回避策は可能ではありません、このようなリポジトリがすでに存在する場合は削除し、今後の攻撃をブロックするために root としてリポジトリを作成することで、例で説明されている悪用に対してシステムを強化できます。(CVE-2022-29187)

Nessus はこの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ依存しています。

ソリューション

「dnf update --releasever=2022.0.20220728 git」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2022/ALAS-2022-118.html

https://alas.aws.amazon.com/cve/html/CVE-2022-29187.html

プラグインの詳細

深刻度: High

ID: 164787

ファイル名: al2022_ALAS2022-2022-118.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/9/7

更新日: 2022/9/7

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 6.9

Temporal Score: 5.1

ベクトル: AV:L/AC:M/Au:N/C:C/I:C/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-29187

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:git, p-cpe:/a:amazon:linux:git-all, p-cpe:/a:amazon:linux:git-core, p-cpe:/a:amazon:linux:git-core-debuginfo, p-cpe:/a:amazon:linux:git-core-doc, p-cpe:/a:amazon:linux:git-credential-libsecret, p-cpe:/a:amazon:linux:git-credential-libsecret-debuginfo, p-cpe:/a:amazon:linux:git-cvs, p-cpe:/a:amazon:linux:git-daemon, p-cpe:/a:amazon:linux:git-daemon-debuginfo, p-cpe:/a:amazon:linux:git-debuginfo, p-cpe:/a:amazon:linux:git-debugsource, p-cpe:/a:amazon:linux:git-email, p-cpe:/a:amazon:linux:git-gui, p-cpe:/a:amazon:linux:git-instaweb, p-cpe:/a:amazon:linux:git-p4, p-cpe:/a:amazon:linux:git-subtree, p-cpe:/a:amazon:linux:git-svn, p-cpe:/a:amazon:linux:gitk, p-cpe:/a:amazon:linux:gitweb, p-cpe:/a:amazon:linux:perl-Git, p-cpe:/a:amazon:linux:perl-Git-SVN, cpe:/o:amazon:linux:2022

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/7/26

脆弱性公開日: 2022/7/12

参照情報

CVE: CVE-2022-29187